package video.pano.rtc.native.api

import com.pano.rtc.api.PanoAnnotationManager
import com.pano.rtc.api.RtcNetworkManager
import com.pano.rtc.api.RtcVideoStreamManager
import com.pano.rtc.api.RtcWhiteboard
import video.pano.rtc.native.RtcAnnotationMgr
import video.pano.rtc.native.RtcNetworkMgr
import video.pano.rtc.native.RtcVideoStreamMgr
import video.pano.rtc.native.RtcWhiteboardEngine

interface IRtcManagerCreator {

    fun createWhiteboardEngine(whiteboardId: String, whiteboard: RtcWhiteboard?): RtcWhiteboardEngine?

    fun createAnnotationMgr(manager: PanoAnnotationManager?): RtcAnnotationMgr?

    fun createNetworkMgr(manager: RtcNetworkManager?): RtcNetworkMgr?

    fun createVideoStreamMgr(manager: RtcVideoStreamManager?): RtcVideoStreamMgr?
}